{% extends "base.html" %}

{% from "_formhelpers.html" import render_field %}

{% block content %}

    {% with messages = get_flashed_messages() %}
        {% if messages %}
            <div class="notification is-danger">
                {{ messages[0] }}. Go to <a href="{{ url_for('auth.login') }}">login page</a>.
            </div>
        {% endif %}
    {% endwith %}

    <div class="column is-4 is-offset-4">

        <h3 class="title">Sign Up</h3>

        <div class="box">

            <form method="POST" action="/signup" name="form">

                {{ form.csrf_token }}

                <div class="field">
                    {{ render_field(form.name) }}
                </div>
                <div class="field">
                    {{ render_field(form.surname) }}
                </div>
                <div class="field">
                    {{ render_field(form.email) }}
                </div>

                <div class="field">
                    {{ render_field(form.password) }}
                </div>

                <div class="field">
                    {{ render_field(form.birthday) }}
                </div>

                <button class="button is-block is-info is-large is-fullwidth">Sign Up</button>

            </form>

        </div>

    </div>

{% endblock %}